#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open('README.md') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = ['pandas>=1.3.5',
                'matplotlib>=3.5.2',
                'seaborn>=0.11']
# test_requirements = ['pytest>=3']

setup(
    author="Toomas Erik Anijärv",
    author_email='toomaserikanijarv@gmail.com',
    python_requires='>=3.9',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
    ],
    description="brainsurfy",
    install_requires=requirements,
    license="MIT License",
    long_description_content_type='text/markdown',
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='brainsurfy',
    name='brainsurfy',
    packages=find_packages(include=['brainsurfy', 'brainsurfy.*']),
    # test_suite='tests',
    # tests_require=test_requirements,
    url='https://github.com/teanijarv/brainsurfy',
    version='0.0.1',
    zip_safe=False,
)
